import { DelaunayConfig, Point, Color } from '../types';
export default class Triangle {
    ctx: CanvasRenderingContext2D;
    light: Point;
    a: Point;
    b: Point;
    c: Point;
    color: Color;
    hue: Color;
    max: number;
    stroke: {
        color?: Color;
        width?: number;
    };
    constructor(ctx: CanvasRenderingContext2D, light: Point, a: Point, b: Point, c: Point);
    init(config: DelaunayConfig): void;
    update(light: Point): void;
    render(): void;
    shader(): void;
    vector(p1: number[], p2: number[]): Point;
    cross(v1: number[], v2: number[]): Point;
    normalize(v: Point): Point;
    shade(color: number[], i: number): Color;
    getIntensity(power: number, max: number): number;
    dotProduct(v1: number[], v2: number[]): number;
    getCenteroid(): [number, number];
}
